searchNodes=[{"doc":"Provides the API for interacting with ID3 tags and files that contain them. Examples Parse from file iex&gt; { :ok , tag } = Id3vx . parse_file ( &quot;test/samples/beamradio32.mp3&quot; ) ...&gt; tag . version 3 Encode new tag Creating tags is most easily done with the utilities in Id3vx.Tag . iex&gt; Id3vx.Tag . create ( 3 ) ...&gt; |&gt; Id3vx.Tag . add_text_frame ( &quot;TIT1&quot; , &quot;Title!&quot; ) ...&gt; |&gt; Id3vx . encode_tag ( ) &lt;&lt; 73 , 68 , 51 , 3 , 0 , 128 , 0 , 0 , 0 , 28 , 84 , 73 , 84 , 49 , 0 , 0 , 0 , 17 , 0 , 0 , 1 , 254 , 255 , 0 , 0 , 84 , 0 , 105 , 0 , 116 , 0 , 108 , 0 , 101 , 0 , 33 , 0 , 0 &gt;&gt; Parse from binary iex&gt; tag = Id3vx.Tag . create ( 3 ) ...&gt; |&gt; Id3vx.Tag . add_text_frame ( &quot;TIT1&quot; , &quot;Title!&quot; ) ...&gt; tag_binary = Id3vx . encode_tag ( tag ) ...&gt; { :ok , tag } = Id3vx . parse_binary ( tag_binary ) ...&gt; tag . version 3 Add Chapter to an existing ID3 tag A Chapter often has a URL and image. You can use Id3vx.Tag.add_attached_picture for the picture. iex&gt; tag = ...&gt; &quot;test/samples/beamradio32.mp3&quot; ...&gt; |&gt; Id3vx . parse_file! ( ) ...&gt; |&gt; Id3vx.Tag . add_typical_chapter_and_toc ( 0 , 60_000 , 0 , 12345 , ...&gt; &quot;A Great Title&quot; , ...&gt; fn chapter -&gt; ...&gt; Id3vx.Tag . add_custom_url ( ...&gt; chapter , ...&gt; &quot;chapter url&quot; , ...&gt; &quot;https://underjord.io&quot; ...&gt; ) ...&gt; end ...&gt; ) ...&gt; tag . version 3","ref":"Id3vx.html","title":"Id3vx","type":"module"},{"doc":"Generate a tag binary from a provided Id3vx.Tag struct. Returns a binary.","ref":"Id3vx.html#encode_tag/1","title":"Id3vx.encode_tag/1","type":"function"},{"doc":"Find and returns the tag binary without parsing it. Mostly used in tests.","ref":"Id3vx.html#get_tag_binary/1","title":"Id3vx.get_tag_binary/1","type":"function"},{"doc":"Parse an ID3 tag from a binary. Returns an Id3vx.Tag struct or throws an Id3vx.Error .","ref":"Id3vx.html#parse_binary!/1","title":"Id3vx.parse_binary!/1","type":"function"},{"doc":"Parse an ID3 tag from a binary. Returns {:ok, Id3vx.Tag} struct or throws an {:error, Id3vx.Error} .","ref":"Id3vx.html#parse_binary/1","title":"Id3vx.parse_binary/1","type":"function"},{"doc":"Parse an ID3 tag from the given file path. It will open the file read-only and only read as many bytes as necessary. Returns an Id3vx.Tag struct or throws an Id3vx.Error .","ref":"Id3vx.html#parse_file!/1","title":"Id3vx.parse_file!/1","type":"function"},{"doc":"Parse an ID3 tag from the given file path. It will open the file read-only and only read as many bytes as necessary. Returns {:ok, Id3vx.Tag} struct or throws an {:error, Id3vx.Error} .","ref":"Id3vx.html#parse_file/1","title":"Id3vx.parse_file/1","type":"function"},{"doc":"Replace an existing ID3 tag in a file with the provided tag producing a new output file. Returns :ok or throws an Id3vx.Error .","ref":"Id3vx.html#replace_tag!/3","title":"Id3vx.replace_tag!/3","type":"function"},{"doc":"Replace an existing ID3 tag in a file with the provided tag producing a new output file. Returns :ok or {:error, Id3vx.Error} .","ref":"Id3vx.html#replace_tag/3","title":"Id3vx.replace_tag/3","type":"function"},{"doc":"","ref":"Id3vx.Flags.html","title":"Id3vx.Flags","type":"module"},{"doc":"Implementation of frame parsing and encoding. Natives types: AENC Audio encryption APIC Attached picture ASPI Audio seek point index COMM Comments COMR Commercial frame ENCR Encryption method registration EQU2 Equalisation (2) ETCO Event timing codes GEOB General encapsulated object GRID Group identification registration LINK Linked information MCDI Music CD identifier MLLT MPEG location lookup table OWNE Ownership frame PRIV Private frame PCNT Play counter POPM Popularimeter POSS Position synchronisation frame RBUF Recommended buffer size RVA2 Relative volume adjustment (2) RVRB Reverb SEEK Seek frame SIGN Signature frame SYLT Synchronised lyric/text SYTC Synchronised tempo codes TALB Album/Movie/Show title TBPM BPM (beats per minute) TCOM Composer TCON Content type TCOP Copyright message TDEN Encoding time TDLY Playlist delay TDOR Original release time TDRC Recording time TDRL Release time TDTG Tagging time TENC Encoded by TEXT Lyricist/Text writer TFLT File type TIPL Involved people list TIT1 Content group description TIT2 Title/songname/content description TIT3 Subtitle/Description refinement TKEY Initial key TLAN Language(s) TLEN Length TMCL Musician credits list TMED Media type TMOO Mood TOAL Original album/movie/show title TOFN Original filename TOLY Original lyricist(s)/text writer(s) TOPE Original artist(s)/performer(s) TOWN File owner/licensee TPE1 Lead performer(s)/Soloist(s) TPE2 Band/orchestra/accompaniment TPE3 Conductor/performer refinement TPE4 Interpreted, remixed, or otherwise modified by TPOS Part of a set TPRO Produced notice TPUB Publisher TRCK Track number/Position in set TRSN Internet radio station name TRSO Internet radio station owner TSOA Album sort order TSOP Performer sort order TSOT Title sort order TSRC ISRC (international standard recording code) TSSE Software/Hardware and settings used for encoding TSST Set subtitle TXXX User defined text information frame UFID Unique file identifier USER Terms of use USLT Unsynchronised lyric/text transcription WCOM Commercial information WCOP Copyright/Legal information WOAF Official audio file webpage WOAR Official artist/performer webpage WOAS Official audio source webpage WORS Official Internet radio station homepage WPAY Payment WPUB Publishers official webpage WXXX User defined URL link frame","ref":"Id3vx.Frame.html","title":"Id3vx.Frame","type":"module"},{"doc":"","ref":"Id3vx.Frame.html#encode_frame/2","title":"Id3vx.Frame.encode_frame/2","type":"function"},{"doc":"","ref":"Id3vx.Frame.html#encode_header/3","title":"Id3vx.Frame.encode_header/3","type":"function"},{"doc":"","ref":"Id3vx.Frame.html#parse/4","title":"Id3vx.Frame.parse/4","type":"function"},{"doc":"","ref":"Id3vx.Frame.html#parse_encoded_text/2","title":"Id3vx.Frame.parse_encoded_text/2","type":"function"},{"doc":"","ref":"Id3vx.Frame.html#parse_frames/3","title":"Id3vx.Frame.parse_frames/3","type":"function"},{"doc":"","ref":"Id3vx.Frame.html#picture_types/0","title":"Id3vx.Frame.picture_types/0","type":"function"},{"doc":"","ref":"Id3vx.Frame.html#recieved_as_types/0","title":"Id3vx.Frame.recieved_as_types/0","type":"function"},{"doc":"","ref":"Id3vx.Frame.html#text_encodings/0","title":"Id3vx.Frame.text_encodings/0","type":"function"},{"doc":"","ref":"Id3vx.Frame.html#t:picture_type/0","title":"Id3vx.Frame.picture_type/0","type":"type"},{"doc":"","ref":"Id3vx.Frame.html#t:recieved_as_type/0","title":"Id3vx.Frame.recieved_as_type/0","type":"type"},{"doc":"","ref":"Id3vx.Frame.html#t:t/0","title":"Id3vx.Frame.t/0","type":"type"},{"doc":"","ref":"Id3vx.Frame.html#t:text_encoding_v3/0","title":"Id3vx.Frame.text_encoding_v3/0","type":"type"},{"doc":"","ref":"Id3vx.Frame.html#t:text_encoding_v4/0","title":"Id3vx.Frame.text_encoding_v4/0","type":"type"},{"doc":"APIC frame struct.","ref":"Id3vx.Frame.AttachedPicture.html","title":"Id3vx.Frame.AttachedPicture","type":"module"},{"doc":"","ref":"Id3vx.Frame.AttachedPicture.html#t:t/0","title":"Id3vx.Frame.AttachedPicture.t/0","type":"type"},{"doc":"","ref":"Id3vx.Frame.AudioEncryption.html","title":"Id3vx.Frame.AudioEncryption","type":"module"},{"doc":"","ref":"Id3vx.Frame.AudioEncryption.html#t:t/0","title":"Id3vx.Frame.AudioEncryption.t/0","type":"type"},{"doc":"CHAP frame struct.","ref":"Id3vx.Frame.Chapter.html","title":"Id3vx.Frame.Chapter","type":"module"},{"doc":"","ref":"Id3vx.Frame.Chapter.html#t:t/0","title":"Id3vx.Frame.Chapter.t/0","type":"type"},{"doc":"COMM frame struct.","ref":"Id3vx.Frame.Comment.html","title":"Id3vx.Frame.Comment","type":"module"},{"doc":"","ref":"Id3vx.Frame.Comment.html#t:t/0","title":"Id3vx.Frame.Comment.t/0","type":"type"},{"doc":"","ref":"Id3vx.Frame.Commercial.html","title":"Id3vx.Frame.Commercial","type":"module"},{"doc":"","ref":"Id3vx.Frame.Commercial.html#t:t/0","title":"Id3vx.Frame.Commercial.t/0","type":"type"},{"doc":"WXXX frame struct.","ref":"Id3vx.Frame.CustomURL.html","title":"Id3vx.Frame.CustomURL","type":"module"},{"doc":"","ref":"Id3vx.Frame.CustomURL.html#new/2","title":"Id3vx.Frame.CustomURL.new/2","type":"function"},{"doc":"","ref":"Id3vx.Frame.CustomURL.html#t:t/0","title":"Id3vx.Frame.CustomURL.t/0","type":"type"},{"doc":"","ref":"Id3vx.Frame.EncryptionMethodRegistration.html","title":"Id3vx.Frame.EncryptionMethodRegistration","type":"module"},{"doc":"","ref":"Id3vx.Frame.EncryptionMethodRegistration.html#t:t/0","title":"Id3vx.Frame.EncryptionMethodRegistration.t/0","type":"type"},{"doc":"","ref":"Id3vx.Frame.GroupIdentificationRegistration.html","title":"Id3vx.Frame.GroupIdentificationRegistration","type":"module"},{"doc":"","ref":"Id3vx.Frame.GroupIdentificationRegistration.html#t:t/0","title":"Id3vx.Frame.GroupIdentificationRegistration.t/0","type":"type"},{"doc":"Provides the full set of frames and their labels. Generated from priv/generate-labels.exs.","ref":"Id3vx.Frame.Labels.html","title":"Id3vx.Frame.Labels","type":"module"},{"doc":"","ref":"Id3vx.Frame.Labels.html#all/0","title":"Id3vx.Frame.Labels.all/0","type":"function"},{"doc":"","ref":"Id3vx.Frame.Labels.html#from_id/1","title":"Id3vx.Frame.Labels.from_id/1","type":"function"},{"doc":"","ref":"Id3vx.Frame.MusicCDIdentifier.html","title":"Id3vx.Frame.MusicCDIdentifier","type":"module"},{"doc":"","ref":"Id3vx.Frame.MusicCDIdentifier.html#t:t/0","title":"Id3vx.Frame.MusicCDIdentifier.t/0","type":"type"},{"doc":"","ref":"Id3vx.Frame.PlayCounter.html","title":"Id3vx.Frame.PlayCounter","type":"module"},{"doc":"","ref":"Id3vx.Frame.PlayCounter.html#t:t/0","title":"Id3vx.Frame.PlayCounter.t/0","type":"type"},{"doc":"","ref":"Id3vx.Frame.Private.html","title":"Id3vx.Frame.Private","type":"module"},{"doc":"","ref":"Id3vx.Frame.Private.html#t:t/0","title":"Id3vx.Frame.Private.t/0","type":"type"},{"doc":"RBUF frame struct.","ref":"Id3vx.Frame.RecommendedBufferSize.html","title":"Id3vx.Frame.RecommendedBufferSize","type":"module"},{"doc":"","ref":"Id3vx.Frame.RecommendedBufferSize.html#t:t/0","title":"Id3vx.Frame.RecommendedBufferSize.t/0","type":"type"},{"doc":"CTOC frame struct.","ref":"Id3vx.Frame.TableOfContents.html","title":"Id3vx.Frame.TableOfContents","type":"module"},{"doc":"","ref":"Id3vx.Frame.TableOfContents.html#t:t/0","title":"Id3vx.Frame.TableOfContents.t/0","type":"type"},{"doc":"Text frame structs, all T??? frames. Text frames known: TALB: Album/Movie/Show title TBPM: BPM (beats per minute) TCOM: Composer TCON: Content type TCOP: Copyright message TDEN: Encoding time TDLY: Playlist delay TDOR: Original release time TDRC: Recording time TDRL: Release time TDTG: Tagging time TENC: Encoded by TEXT: Lyricist/Text writer TFLT: File type TIPL: Involved people list TIT1: Content group description TIT2: Title/songname/content description TIT3: Subtitle/Description refinement TKEY: Initial key TLAN: Language(s) TLEN: Length TMCL: Musician credits list TMED: Media type TMOO: Mood TOAL: Original album/movie/show title TOFN: Original filename TOLY: Original lyricist(s)/text writer(s) TOPE: Original artist(s)/performer(s) TOWN: File owner/licensee TPE1: Lead performer(s)/Soloist(s) TPE2: Band/orchestra/accompaniment TPE3: Conductor/performer refinement TPE4: Interpreted, remixed, or otherwise modified by TPOS: Part of a set TPRO: Produced notice TPUB: Publisher TRCK: Track number/Position in set TRSN: Internet radio station name TRSO: Internet radio station owner TSOA: Album sort order TSOP: Performer sort order TSOT: Title sort order TSRC: ISRC (international standard recording code) TSSE: Software/Hardware and settings used for encoding TSST: Set subtitle TXXX: User defined text information frame","ref":"Id3vx.Frame.Text.html","title":"Id3vx.Frame.Text","type":"module"},{"doc":"","ref":"Id3vx.Frame.Text.html#t:t/0","title":"Id3vx.Frame.Text.t/0","type":"type"},{"doc":"URL frame structs, used for all W???-frames except WXXX. Known URL frames: WCOM: Commercial information WCOP: Copyright/Legal information WFED: Podcast link WOAF: Official audio file webpage WOAR: Official artist/performer webpage WOAS: Official audio source webpage WORS: Official Internet radio station homepage WPAY: Payment WPUB: Publishers official webpage","ref":"Id3vx.Frame.URL.html","title":"Id3vx.Frame.URL","type":"module"},{"doc":"","ref":"Id3vx.Frame.URL.html#t:t/0","title":"Id3vx.Frame.URL.t/0","type":"type"},{"doc":"Used for any unknown frame.","ref":"Id3vx.Frame.Unknown.html","title":"Id3vx.Frame.Unknown","type":"module"},{"doc":"","ref":"Id3vx.Frame.Unknown.html#t:t/0","title":"Id3vx.Frame.Unknown.t/0","type":"type"},{"doc":"Utility module for building ID3 tags and common frames conveniently.","ref":"Id3vx.Tag.html","title":"Id3vx.Tag","type":"module"},{"doc":"Add a picture to a Id3vx.Tag or Id3vx.Frame.Chapter .","ref":"Id3vx.Tag.html#add_attached_picture/5","title":"Id3vx.Tag.add_attached_picture/5","type":"function"},{"doc":"Add a custom URL to a Id3vx.Tag or Id3vx.Frame.Chapter . Typically used for Chapters.","ref":"Id3vx.Tag.html#add_custom_url/3","title":"Id3vx.Tag.add_custom_url/3","type":"function"},{"doc":"Add a text frame to a Id3vx.Tag or Id3vx.Frame.Chapter .","ref":"Id3vx.Tag.html#add_text_frame/3","title":"Id3vx.Tag.add_text_frame/3","type":"function"},{"doc":"Add a typical Id3vx.Frame.Chapter frame to a tag. The callback gets the new chapter frame and is normally used to add sub-frames like text, links, pictures using the other tag-building utilities in this module. It also creates a matching Table of Content frame and entry. Essentially it tries to take care of all the annoying bits.","ref":"Id3vx.Tag.html#add_typical_chapter_and_toc/7","title":"Id3vx.Tag.add_typical_chapter_and_toc/7","type":"function"},{"doc":"Change specific frame in a Id3vx.Tag or Id3vx.Frame.Chapter . Runs the callback on all frames that match the frame ID and the element ID. Returns the updated container.","ref":"Id3vx.Tag.html#change_element/4","title":"Id3vx.Tag.change_element/4","type":"function"},{"doc":"Change frames in a Id3vx.Tag or Id3vx.Frame.Chapter . Runs the callback on all frames that match the frame ID. Returns the updated container.","ref":"Id3vx.Tag.html#change_elements/3","title":"Id3vx.Tag.change_elements/3","type":"function"},{"doc":"Create a new blank tag for a specific version of the ID3 spec.","ref":"Id3vx.Tag.html#create/1","title":"Id3vx.Tag.create/1","type":"function"},{"doc":"Delete a chapter in a Id3vx.Tag . Delete ToC element and chapter matching element ID. Returns the updated container.","ref":"Id3vx.Tag.html#delete_chapter/2","title":"Id3vx.Tag.delete_chapter/2","type":"function"},{"doc":"Delete frames in a Id3vx.Tag or Id3vx.Frame.Chapter . Deletes all frames matching frame ID. Returns the updated container.","ref":"Id3vx.Tag.html#delete_elements/2","title":"Id3vx.Tag.delete_elements/2","type":"function"},{"doc":"Find specific frame in a Id3vx.Tag or Id3vx.Frame.Chapter . Returns the frame if anything matches the frame ID or nil if nothing was found.","ref":"Id3vx.Tag.html#find_element/2","title":"Id3vx.Tag.find_element/2","type":"function"},{"doc":"Find specific frame in a Id3vx.Tag or Id3vx.Frame.Chapter . Returns the frame if anything matches the frame ID and element ID, or nil if nothing was found.","ref":"Id3vx.Tag.html#find_element/3","title":"Id3vx.Tag.find_element/3","type":"function"},{"doc":"","ref":"Id3vx.Tag.html#t:t/0","title":"Id3vx.Tag.t/0","type":"type"},{"doc":"","ref":"Id3vx.Error.html","title":"Id3vx.Error","type":"exception"},{"doc":"A library for reading and writing ID3 tags. Docs can be found at https://hexdocs.pm/id3vx . It currently supports only ID3v2.3. It specifically also supports Chapters and Table of Contents as it was created to support podcast chapters as a specific usage. This library development was funded and open-sourced by Changelog Media .","ref":"readme.html","title":"Id3vx","type":"extras"},{"doc":"Until a Hex package is published this can be used with: def deps do [ { :id3vx , &quot;~&gt; 0.0.1-rc1&quot; } ] end ## Examples ### Parse from file { :ok , tag } = Id3vx . parse_file ( &quot;test/samples/beamradio32.mp3&quot; ) ### Encode new tag Creating tags is most easily done with the utilities in Id3vx.Tag . Id3vx.Tag . create ( 3 ) |&gt; Id3vx.Tag . add_text_frame ( &quot;TIT1&quot; , &quot;Title!&quot; ) |&gt; Id3vx . encode_tag ( ) ### Parse from binary tag = Id3vx.Tag . create ( 3 ) |&gt; Id3vx.Tag . add_text_frame ( &quot;TIT1&quot; , &quot;Title!&quot; ) tag_binary = Id3vx . encode_tag ( tag ) { :ok , tag } = Id3vx . parse_binary ( tag_binary ) ### Add Chapter to an existing ID3 tag A Chapter often has a URL and image. You can use Id3vx.Tag.add_attached_picture for the picture. tag = &quot;test/samples/beamradio32.mp3&quot; |&gt; Id3vx . parse_file! ( ) |&gt; Id3vx.Tag . add_typical_chapter_and_toc ( 0 , 60_000 , 0 , 12345 , &quot;A Great Title&quot; , fn chapter -&gt; Id3vx.Tag . add_custom_url ( chapter , &quot;chapter url&quot; , &quot;https://underjord.io&quot; ) end )","ref":"readme.html#installation","title":"Id3vx - Installation","type":"extras"}]